[@algorandfoundation/algokit-utils](../README.md) / [types/app](../modules/types_app.md) / AppCompilationResult

# Interface: AppCompilationResult

[types/app](../modules/types_app.md).AppCompilationResult

The result of compiling the approval and clear state TEAL programs for an app

## Table of contents

### Properties

- [compiledApproval](types_app.AppCompilationResult.md#compiledapproval)
- [compiledClear](types_app.AppCompilationResult.md#compiledclear)

## Properties

### compiledApproval

• **compiledApproval**: [`CompiledTeal`](types_app.CompiledTeal.md)

The result of compiling the approval program

#### Defined in

[src/types/app.ts:335](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L335)

___

### compiledClear

• **compiledClear**: [`CompiledTeal`](types_app.CompiledTeal.md)

The result of compiling the clear state program

#### Defined in

[src/types/app.ts:337](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L337)
